/*
 * LabelManager: 
 */

package org.dbc_works.app.sbfiles.view;

import java.util.Properties;

public final class LabelManager extends org.dbc_works.lib.ui.LabelManager
{
	//
	// 定数
	//
	
	// メニュー用定義
	public static final String MENU_FILE	= "Menu_File";
	public static final String MENU_FILE_SORT	= "Menu_File_Sort";
	public static final String MENU_FILE_NUMBERING	= "Menu_File_Numbering";
	public static final String MENU_FILE_GZIP	= "Menu_File_GZip";
	public static final String MENU_FILE_GUNZIP	= "Menu_File_GUnzip";
	public static final String MENU_FILE_EXIT	= "Menu_File_Exit";
	
	public static final String MENU_EDIT	= "Menu_Edit";
	public static final String MENU_EDIT_UNDO	= "Menu_Edit_Undo";
	public static final String MENU_EDIT_REDO	= "Menu_Edit_Redo";
	public static final String MENU_EDIT_MULTISEL	= "Menu_Edit_MultiSelect";

	public static final String MENU_VIEW	= "Menu_View";

	// ラベル用定義
	public static final String BTN_PARENT	= "Btn_Parent";
	public static final String BTN_SORT	= "Btn_Sort";

	public static final String LBL_START	= "Label_Start";
	public static final String LBL_POS	= "Label_Position";
	public static final String LBL_FIRST	= "Label_Radio_First";
	public static final String LBL_LAST	= "Label_Radio_Last";

	// メッセージ用定義
	public static final String MSG_DIRECTORYISNOTEXIST	= "Msg_Info_DirectoryIsNotExist";
	public static final String MSG_ENTRYUPDATED	= "Msg_Info_EntryUpdated";
	public static final String MSG_INVALIDSTART	= "Msg_Info_InvalidStartNumber";
	
	public static final String MSG_NOTSELECTED	= "Msg_Info_NotSelected";
	
	public static final String STATUS_READY	= "Status_Ready";
	public static final String STATUS_INPROCESS	= "Status_InProcess";

	// コマンド名用定義
	public static final String COMMAND_SORT	= "Command_Sort";
	public static final String COMMAND_UPDATE_ORDER	= "Command_UpdateOrder";

	//
	// クラスメソッド(公開)
	//

	// メニューラベルのプロパティセットを返す
	public static Properties getMenuLabelProperties()
	{
		return getProperties("/MenuLabel.properties");
	}

	// コマンド名のプロパティセットを返す
	public static Properties getCommandNameProperties()
	{
		return getProperties("/Command.properties");
	}

	// ラベルのプロパティセットを返す
	public static Properties getLabelProperties()
	{
		return getProperties("/Label.properties");
	}

	//
	// コンストラクタ
	//
	private LabelManager()
	{
	}
}
