/*
 * DialogUtilities: 
 */
package org.dbc_works.lib.ui.swing;

import java.awt.Container;
import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JPanel;

public final class DialogUtilities
{
	//
	// クラスメソッド
	//

	//
	public static Container createResponseButtonContainer(
		JButton[] buttons)	//
	{
		if (buttons == null) {
			throw new NullPointerException();
		}
		else if (buttons.length == 0) {
			throw new IllegalArgumentException();
		}

		Container panel = new JPanel();
		panel.setLayout(new GridLayout(1, buttons.length));
		for (int nIndex = 0; nIndex < buttons.length; nIndex++) {
			panel.add(buttons[nIndex]);
		}
		return panel;
	}

	//
	// コンストラクタ
	//

	private DialogUtilities()
	{
	}
}
